EDIT - feature request #3982

Update name in source data when moving a Description to another Taxon
01/21/2014 01:27 PM - Andreas Kohlbecker

Status: New Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 2:00 hours
Target version: Euro+Med TaxEditor issues

Severity: normal

Description

This is related to #3791: Implement operation to move a Description to another Taxon and will be an analogous implementation to
#3472 (update name in source data when changing an accepted taxon into a synonym)

See there for details.

Problem: if the namelnSource field is empty before, can we expect that all sources use the accepted taxon name or does it only
mean that the information is not available. An automated functionality can only be used if the former is valid. Should the handling be
configurable?

The best solution is to always store name used in source information with all sources, then there is no need to update it.

At least we do have freetext information in the new description that this data was moved from another name. So the data is not
completely lost (but not shown to the public user).

Related issues:
Related to EDIT - feature request #3472: Update name in source data when chan... Closed

History

#1 - 08/18/2014 12:15 PM - Andreas Kohlbecker

- Keywords set to Euro+Med,Migration

#2 - 09/13/2017 03:25 PM - Andreas Miiller

- Description updated

- Assignee changed from Andreas Kohlbecker to Andreas Mliller
- Priority changed from New to Priority13

- Private changed from Yes to No

#3 - 09/13/2017 03:35 PM - Andreas Miiller

- Related to feature request #3472: Update name in source data when changing an accepted taxon into a synonym added

#4 - 05/25/2018 12:52 PM - Andreas Miiller

- Subject changed from update name in source data when moving a Description to another Taxon to Update name in source data when moving a
Description to another Taxon

#5 - 05/25/2018 12:53 PM - Andreas Miuller

- Subject changed from Update name in source data when moving a Description to another Taxon to [Discuss] Update name in source data when
moving a Description to another Taxon

- Priority changed from Priority13 to Priority12
- Estimated time set to 2:00 h

#6 - 05/25/2018 12:53 PM - Andreas Miiller
- Priority changed from Priority12 to Highest

#8 - 05/16/2019 04:18 PM - Andreas Miiller

- Target version changed from Euro+Med Migration to Euro+Med TaxEditor issues
#9 - 06/03/2019 01:53 PM - Andreas Miiller

- Subject changed from [Discuss] Update name in source data when moving a Description to another Taxon to Update name in source data when
moving a Description to another Taxon

- Assignee changed from Andreas Mtiller to Katja Luther

Finally | understood that this was already the case in the BM WebEditor. At the same time we agree that this feature often leads to incorrect data (as
the name in source is often not the formerly accepted name but another one and someone simply forgot to enter it).

However, as it is consistent with former software behavior we decided to continue with updating the name in source.
Therefore open tasks:
¢ identify all relevant operations

¢ implement to copy of the accepted taxon to the name in source field
e make it configurable as not all projects may want to have it implemented such

#10 - 06/03/2019 01:54 PM - Andreas Miiller

for affected methods see also #3472
